#!/usr/bin/python
# -*- coding: utf-8 -*-
# sendet ein Bild an den Server per URL http://blmgeotest.synology.me/uploads/picam.php'
# erstellt am 08.04.2022 geändert 25.06.2022
# von Stefan +4915170379199
import sys
from PIL import Image
import picamera
from time import sleep
import requests
# Voreinstellungen Bildgroesse:
WIDTH=320
HEIGHT=240
# Kamera initialisieren:
camera = picamera.PiCamera()
camera.resolution = (WIDTH,HEIGHT)
# Dateiname fuer Bild:
localpicname = 'BildPiCam.jpg'
# 2 Sek. Pause, damit Kamera alles einstellen kann:
sleep (2)
# Ein Bild aufnehmen:
camera.capture(localpicname)
camera.close()

try:
  bild = Image.open(localpicname)
  neuesbild = bild.rotate(90)
  neuesbild.save(localpicname)
except IOError:
  print ("Fehler: kann %s nicht bearbeiten." % dateiname)

# Ein Bild auf den Webspace hochladen:
# Webservice Aufruf URL festlegen:
url = 'http://blmgeotest.synology.me/uploads/picam.php'
files = {'file': open(localpicname, 'rb')}
r = requests.post(url, files=files)
# Zur Kontrolle Rueckgabe ausgeben
print(r)
print(r.text)